Source: ruby-execjs
Version: 2.2.1-1
Severity: serious
Tags: sid stretch
Justification: fails to build from source
Usertags: ftbfs

Dear Maintainer,

The package fails to build:

Running tests for ruby2.2 with test file list from debian/ruby-test-files.yaml 
ruby2.2 -ryaml -e YAML.load_file\(\"debian/ruby-test-files.yaml\"\).each\ \{\ 
\|f\|\ require\ f\ \}
/usr/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require': cannot 
load such file -- minitest/autorun (LoadError)
        from /usr/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in 
        from /ruby-execjs-2.2.1/test/test_execjs.rb:2:in `<top (required)>'
        from /usr/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in 
        from /usr/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in 
        from -e:1:in `block in <main>'
        from -e:1:in `each'
        from -e:1:in `<main>'
ERROR: Test "ruby2.2" failed. Exiting.
dh_auto_install: dh_ruby --install /ruby-execjs-2.2.1/debian/ruby-execjs 
returned exit code 1

Full build log:

-- System Information:
Debian Release: stretch/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.19.0-22-generic (SMP w/8 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Reproducible-builds mailing list

Reply via email to